# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
# proc calclife5
# DIE zentrale Berechnung
##################################################
proc CircularRoom {} {
global lifefeld nmax newworld savefeld nstates


# Retten der alten Werte
for {set i 0} { $i <= $nmax} {incr i} {
   for {set j 0} { $j <= $nmax} {incr j} {
      if {$lifefeld($i,$j)==0} {set lifefeld($i,$j) $nstates} 
      set savefeld($i,$j) $lifefeld($i,$j)
   }
}

#Berechnen der neuen Werte
for {set i 0} { $i <= $nmax} {incr i} {
   for {set j 0} { $j <= $nmax} {incr j} {
   	
# Bestimmung der Nachbarindizes   	
      set k [expr $i-1]
      set l [expr $j-1]
      set m [expr $i+1]
      set n [expr $j+1]

if {$newworld==1} {
# Setzen der Randindizes
      if {$i==0} {set k $nmax}
      if {$i==$nmax} {set m 0}
      if {$j==0} {set l $nmax}
      if {$j==$nmax} {set n 0}
}    

###########################         	
# DIE REGELN DES AUTOMATEN:
###########################

# Bestimmung des Zellzustandes
# nstates letzter Zustand
# nstates+1 == 0

if {$savefeld($i,$j)==$nstates} {set what 1} else  {set what [expr $savefeld($i,$j)+1]}

set flag 0
# Bestimmung der Nachbarn von i,j

  if {$savefeld($i,$l)==$what} {set flag 1} 
  if {$savefeld($k,$j)==$what} {set flag 1}
  if {$savefeld($m,$j)==$what} {set flag 1}
  if {$savefeld($i,$n)==$what} {set flag 1}    


# Erhöhung, wenn mindestens 1 Nachbar gleichen Zustand hat 

if {$flag==1} {
     set lifefeld($i,$j) $what  
}
 
###########################         	
# ENDE DER REGELN 
###########################
      }
   }
}
