# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
# proc Life
# DIE zentrale Berechnung
##################################################
proc Life_c {} {
global lifefeld nmax newworld savefeld
global exec_dir rlist

set clist "$nmax $newworld"
# Retten der alten Werte

for {set i 0} { $i <= $nmax} {incr i} {
   for {set j 0} { $j <= $nmax} {incr j} {
      lappend clist $lifefeld($i,$j)
   }
}
set rlist [eval exec $exec_dir/clife $clist]
#Berechnen der neuen Werte
for {set i 0} { $i <= $nmax} {incr i} {
   for {set j 0} { $j <= $nmax} {incr j} {
     set lifefeld($i,$j) [lindex $rlist [expr $i*($nmax+1)+$j]]
     }
   }
}
