# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc get_image {x y} {

global icount
global ix iy pix piy ox oy
global coltab count
global colind
global plotFontN plotFontS plotFontT
global boldFontN boldFontS boldFontT

global ox oy
global can

set fcan [expr 1.0*$can]

if [info exists icount ] {
set item [.ov.plot create oval \
         [expr $x-5] [expr $y-5] [expr $x+5] [expr $y+5] \
         -fill grey -outline grey]

#set item [.ov.plot create text $x $y -text $icount -font $boldFontS]

set pix($icount) $x
set piy($icount) $y
set ix($icount) [expr $x/$fcan]
set iy($icount) [expr ($fcan-$y)/$fcan]

incr icount

if {$icount==4} {
    calc_abb $colind
    set icount 1 

    set pix(4) [expr $pix(1)+($pix(3)-$pix(2))]
    set piy(4) [expr $piy(1)+($piy(3)-$piy(2))]
    set ll {}
    for {set i 1} {$i<=4} {incr i} {lappend ll $pix($i) $piy($i)}
    set item [eval {.ov.plot create poly} $ll {-fill ivory$colind}]
    incr colind
}

}

}
