# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
proc set_plot {} {

global can ovc plotmode
global ulx uly lrx lry oldxsize oldysize
global tmin tmax xmin xmax xdelt ymin ymax ydelt
global minx miny maxx maxy mint maxt

if {$plotmode==0} {
  set tmin $mint 
  set tmax $maxt 
}

set xmin $minx 
set xmax $maxx 
set ymin $miny 
set ymax $maxy 

if {$plotmode==0} {
  set tmin [lindex [Scale2Value $ovc.left.t] 0]
  set tmax [lindex [Scale2Value $ovc.left.t] 1]
}
# 
# 
# set xmin [lindex [Scale2Value $ovc.left.1.x] 0]
# set xmax [lindex [Scale2Value $ovc.left.1.x] 1]
# set ymin [lindex [Scale2Value $ovc.left.2.y] 0]
# set ymax [lindex [Scale2Value $ovc.left.2.y] 1]



if {$ymin<$ymax} {
    set ydelt [expr $ymax -$ymin]
} else {
    set ymin -4
    set ymax 4
    set ydelt [expr $ymax -$ymin]
}

if {$xmin<$xmax} {
    set xdelt [expr $xmax -$xmin]
} else {
    set xmin -4
    set xmax 4
    set xdelt [expr $xmax -$xmin]
}

set ulx 0
set uly 0
set lrx $can
set lry $can
set oldxsize $can
set oldysize $can

erase .ov.plot all

}
