# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc automat_info { } {

global model
textdel 0 end 
textinfo "Generation:"

textinfo ""

  switch $model {

     Wolfram {textinfo "Wolfram' Universe. Set rule to 0-255"}

     Life {textinfo "Conway's Life"}
     
     Disease {
        textinfo "Disease Spread"
        textinfo " 0: susceptible cell"
        textinfo " 1: infectious cell"	
        textinfo " 2: ill cell"	
        textinfo " 3: immune cell"
       }
       
     PerBak {
             textinfo "Per Bak's sand pile"
             textinfo "Fill parameter 0"
                 }
                 
     PerBak_1 {
             textinfo "My Per Bak's sand pile"
             textinfo "Fill parameter 1"
                      }
                      
     PerBak_2 {
             textinfo "My Per Bak's sand pile"
             textinfo "Fill parameter 2"
                    }

     CircularRoom {
             textinfo "Circular Room"
                          }
 
    Beetle {
              textinfo "Bug Spread"
               }

Diff {
              textinfo "Diffusion"
               }

Adv1DOK {
              textinfo "Advection velocity 1 cell per time step"
               }

Adv1D {
              textinfo "Advection velocity 0.1  cell per time step (numerical diffusion)"
               }

Adv2D {
              textinfo "Advection"
               }

  }
  }
  
