 # TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
proc int2bits {i {digits {} } } { 
        #returns a bitslist, e.g. int2bits 10 => {1 0 1 0} 
        # digits determines the length of the returned list (left truncated or added left 0 ) 
        # use of digits allows concatenation of bits sub-fields 

        set res "" 
        while {$i>0} { 
                set res [expr {$i%2}]$res 
                set i [expr {$i/2}] 
        } 
        if {$res==""} {set res 0} 
        
        if {$digits != {} } { 
                append d [string repeat 0 $digits ] $res 
                set res [string range $d [string length $res ] end ] 
        } 
        split $res ""                           
 } 

