# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
proc get_orig {x y} {

global ocount
global ix iy
global coltab
global colind
global plotFontN plotFontS plotFontT
global boldFontN boldFontS boldFontT

global ox oy
global pox poy
global can

set fcan [expr 1.0*$can]

if [info exists ocount ] {
set item [.ov.plot create oval \
         [expr $x-5] [expr $y-5] [expr $x+5] [expr $y+5] \
         -fill green -outline green]

#set item [.ov.plot create text $x $y -text $ocount -font $boldFontS]

set pox($ocount) $x
set poy($ocount) $y

set ox($ocount) [expr $x/$fcan]
set oy($ocount) [expr ($fcan-$y)/$fcan]

incr ocount

if {$ocount==4} {
    set ocount 1
    set pox(4) [expr $pox(1)+($pox(3)-$pox(2))]
    set poy(4) [expr $poy(1)+($poy(3)-$poy(2))]
    set ll {}
    for {set i 1} {$i<=4} {incr i} {lappend ll $pox($i) $poy($i)}
    set item [eval {.ov.plot create poly} $ll {-fill palegreen}]
    bind .ov.plot <1> "itemMark .ov.plot %x %y; get_image %x %y"
}

}

}
