# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
proc makecommand {help} {
set mathlist "acos asin atan ceil cos cosh exp floor log log10 pow sin sinh sqrt tan tanh abs"
set letterlist "t x y a b c d e"

foreach item $mathlist {
   regsub -all $item $help [string toupper $item] help
}

foreach letter $letterlist {
   regsub -all $letter $help \$$letter help
}

foreach item $mathlist {
   regsub -all [string toupper $item] $help $item help
}

return $help
}
