# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
proc make_linear {} {
global a b c d e
global functionx
global functiony
global install_dir env

global remminx remminy remmaxx remmaxy
global EV1 EV2
global ovc
# Achsen symmetrisch machen
set remminx -$remmaxx
set remminy -$remmaxy

$ovc.left.er.mlinear config -state disabled
.ov.plot config -cursor watch
#$ovc config -cursor watch

update
update idletasks
#resetscale
#reset

# writing non linear model to a file
SaveFunc 2

set form "%3.2f"
set functionx "a*x+b*y"
set functiony "c*x+d*y"

set remdir $env(PWD)
cd $install_dir/src/slope
if [file exist tempout.tgf] [file delete -force tempout.tgf]
exec matlab -nodesktop -nojvm -r mftstabi.m 2>/dev/null
# reading linear model

if [file exist tempout.tgf] {
    LoadFunc 2
    cd $remdir
    calc_linear_model
} else {
   $ovc.left.er.reload invoke
   textdel
   textinfo " " 
   textinfo "*******Could not create linear model!*******" 
   textinfo " " 

}

.ov.plot config -cursor top_left_arrow
#$ovc config -cursor  top_left_arrow
update
update idletasks

}
